'use strict';

var _expect = require('expect.js');

var _expect2 = _interopRequireDefault(_expect);

var _supportedKeyframes = require('./supported-keyframes');

var _supportedKeyframes2 = _interopRequireDefault(_supportedKeyframes);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { 'default': obj }; }

describe('css-vendor', function () {
  describe('.supportedKeyframes()', function () {
    it('should not prefix keyframe at-rule', function () {
      // eslint-disable-next-line no-underscore-dangle
      _supportedKeyframes2['default'].__Rewire__('prefix', {
        js: 'ms',
        css: '-ms-'
      });
      (0, _expect2['default'])((0, _supportedKeyframes2['default'])('@keyframes a')).to.be('@keyframes a');
    });

    it('should prefix keyframe at-rule', function () {
      // eslint-disable-next-line no-underscore-dangle
      _supportedKeyframes2['default'].__Rewire__('prefix', {
        js: 'Webkit',
        css: '-webkit-'
      });
      (0, _expect2['default'])((0, _supportedKeyframes2['default'])('@keyframes a')).to.be('@-webkit-keyframes a');
      // eslint-disable-next-line no-underscore-dangle
      _supportedKeyframes2['default'].__ResetDependency__('prefix');
    });

    it('should return keyframe at-rule as it is', function () {
      (0, _expect2['default'])((0, _supportedKeyframes2['default'])('@-webkit-keyframes a')).to.be('@-webkit-keyframes a');
    });
  });
});